org.keycloak.representations.provider

## Class ScriptProviderMetadata

- java.lang.Object
- - org.keycloak.representations.provider.ScriptProviderMetadata

-     public class ScriptProviderMetadata
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptProviderMetadata()`
    `ScriptProviderMetadata(String name, String fileName, String description)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()`
    `String` | `getDescription()`
    `String` | `getFileName()`
    `String` | `getId()`
    `String` | `getName()`
    `void` | `setCode(String code)`
    `void` | `setDescription(String description)`
    `void` | `setFileName(String fileName)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptProviderMetadata

          public ScriptProviderMetadata()

    - #### ScriptProviderMetadata

          public ScriptProviderMetadata(String name,
                                        String fileName,
                                        String description)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getFileName

          public String getFileName()

    - #### setFileName

          public void setFileName(String fileName)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getCode

          public String getCode()

    - #### setCode

          public void setCode(String code)

Copyright © 2021 JBoss by Red Hat. All rights reserved.